LayersPanelHandler (GIS Viewer Widget 3.5.0-SNAPSHOT API)
Date: 2014-09-04

org.gcube.portlets.user.gisviewer.client.layerspanel

## Interface LayersPanelHandler

- All Known Implementing Classes:
    GisViewerPanel

      public interface LayersPanelHandler

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `activateTransect(LayerItem layerItem, String table, String field)`
    `void` | `changeLegend(LayerItem layerItem, String style)`
    `void` | `deactivateTransect(LayerItem layerItem)`
    `void` | `hideLayer(LayerItem layerItem)`
    `boolean` | `isSaveSupported()`
    `void` | `openBrowserLayerImage(LayerItem layerItem, String format, boolean isWMS)`
    `void` | `removeFilterQuery(LayerItem layerItem)`
    `void` | `removeLayer(LayerItem layerItem)`
    `void` | `saveLayerImage(LayerItem layerItem, String format, boolean isWMS)`
    `void` | `setOpacityLayer(LayerItem layerItem, double value)`
    `boolean` | `showFilterQuery(LayerItem layerItem, int left, int top)`
    `void` | `showLayer(LayerItem layerItem)`
    `void` | `showLegend(LayerItem layerItem, int left, int top)`
    `void` | `updateLayersOrder()`

- - ### Method Detail

    - #### activateTransect

          void activateTransect(LayerItem layerItem,
                              String table,
                              String field)

    - #### openBrowserLayerImage

          void openBrowserLayerImage(LayerItem layerItem,
                                   String format,
                                   boolean isWMS)

    - #### saveLayerImage

          void saveLayerImage(LayerItem layerItem,
                            String format,
                            boolean isWMS)

    - #### showLegend

          void showLegend(LayerItem layerItem,
                        int left,
                        int top)

    - #### changeLegend

          void changeLegend(LayerItem layerItem,
                          String style)

    - #### setOpacityLayer

          void setOpacityLayer(LayerItem layerItem,
                             double value)

    - #### showLayer

          void showLayer(LayerItem layerItem)

    - #### hideLayer

          void hideLayer(LayerItem layerItem)

    - #### showFilterQuery

          boolean showFilterQuery(LayerItem layerItem,
                                int left,
                                int top)

    - #### removeFilterQuery

          void removeFilterQuery(LayerItem layerItem)

    - #### updateLayersOrder

          void updateLayersOrder()

    - #### isSaveSupported

          boolean isSaveSupported()

    - #### deactivateTransect

          void deactivateTransect(LayerItem layerItem)

    - #### removeLayer

          void removeLayer(LayerItem layerItem)

      Parameters:
        `layerItem` -

Copyright © 2014. All Rights Reserved.